Bug 859074 - [RHEVM][backend] changed network properties are not applied properly
[RHEVM][backend] changed network properties are not applied properly
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Alona Kaplan
Martin Pavlik
network
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-20 09:59 EDT by Martin Pavlik
Modified: 2016-02-10 14:58 EST (History)
12 users (show)

See Also:
Fixed In Version: SI20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:03:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Pavlik 2012-09-20 09:59:33 EDT
Description of problem:
changed network properties are not applied properly if user does following detach network from cluster -> change network properties -> attach network to cluster

Version-Release number of selected component (if applicable):
Red Hat Enterprise Virtualization Manager Version: '3.1.0-16.el6ev' 

How reproducible:
100%

Steps to Reproduce:
1. Clusters - your cluster -> logical networks -> Add network -> fill in Name - click OK
2. Data Centers - your DC -> Logical Networks -> network created in step 1 -> Edit
   a) uncheck Attach All -> click Apply -> check Approve operation -> click OK
   b) change network Name
   c) check Attach All -> click Apply -> check Approve operation -> click OK -> click OK
  
Actual results:
network name is not changed

Expected results:
network name should be changed

Additional info:
follwing engine.log lines were produced during described operations

2012-09-20 15:53:41,652 INFO  [org.ovirt.engine.core.bll.storage.AddNetworkCommand] (ajp-/127.0.0.1:8009-4) [473bc122] Running command: AddNetworkCommand internal: false. Entities affected :  ID: 5b9c48c4-0256-11e2-8533-001a4a013f0e Type: StoragePool
2012-09-20 15:53:41,702 INFO  [org.ovirt.engine.core.bll.AttachNetworkToVdsGroupCommand] (pool-4-thread-47) [2303c0f1] Running command: AttachNetworkToVdsGroupCommand internal: false. Entities affected :  ID: 99408929-82cf-4dc7-a532-9d998063fa95 Type: VdsGroups
2012-09-20 15:55:00,001 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-22) Autorecovering hosts is disabled, skipping
2012-09-20 15:55:00,001 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-22) Autorecovering storage domains is disabled, skipping
2012-09-20 15:55:43,628 INFO  [org.ovirt.engine.core.bll.DetachNetworkToVdsGroupCommand] (pool-4-thread-47) [21b830ed] Running command: DetachNetworkToVdsGroupCommand internal: false. Entities affected :  ID: 99408929-82cf-4dc7-a532-9d998063fa95 Type: VdsGroups
2012-09-20 15:56:53,760 INFO  [org.ovirt.engine.core.bll.AttachNetworkToVdsGroupCommand] (pool-4-thread-47) [5e689f3f] Running command: AttachNetworkToVdsGroupCommand internal: false. Entities affected :  ID: 99408929-82cf-4dc7-a532-9d998063fa95 Type: VdsGroups
2012-09-20 15:57:00,309 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (ajp-/127.0.0.1:8009-12) MultipleActionsRunner of type DetachNetworkToVdsGroup invoked with no actions
2012-09-20 15:57:00,322 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (ajp-/127.0.0.1:8009-7) MultipleActionsRunner of type AttachNetworkToVdsGroup invoked with no actions
2012-09-20 15:57:24,811 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (ajp-/127.0.0.1:8009-8) MultipleActionsRunner of type DetachNetworkToVdsGroup invoked with no actions
2012-09-20 15:57:24,837 INFO  [org.ovirt.engine.core.bll.MultipleActionsRunner] (ajp-/127.0.0.1:8009-9) MultipleActionsRunner of type AttachNetworkToVdsGroup invoked with no actions
Comment 1 Moti Asayag 2012-09-23 05:08:02 EDT
Besides the described in the bug, as appear from the log, despite there are no clusters which this network is assigned to, the UI sends DetachNetworkToVdsGroup.

A proposed solution is disabling the 'Apply' button once there are no clusters the network is assigned to. Then the 'Ok' button will be the only one used to commit the attachment of network to clusters.
Comment 2 Alona Kaplan 2012-09-23 06:57:44 EDT
http://gerrit.ovirt.org/#/c/8133/

Note You need to log in before you can comment on or make changes to this bug.